Summary:	VISL CG-3 constraint grammar system
Summary(pl.UTF-8):	VISL CG-3 - system ograniczonej gramatyki
Name:		vislcg3
Version:	0.9.8.9708
Release:	3
License:	GPL v3+
Group:		Applications/Text
Source0:	http://beta.visl.sdu.dk/download/vislcg3/%{name}-%{version}.tar.gz
# Source0-md5:	573ffaa88a6850930cbeb7341d66df2e
URL:		http://beta.visl.sdu.dk/cg3.html
BuildRequires:	cmake >= 2.8.0
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	libicu-devel >= 4.2
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VISL CG-3 constraint grammar system.

%description -l pl.UTF-8
VISL CG-3 - system ograniczonej gramatyki.

%package devel
Summary:	Header file for VISL CG-3 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki VISL CG-3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for VISL CG-3 library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki VISL CG-3.

%package static
Summary:	Static VISL CG-3 library
Summary(pl.UTF-8):	Statyczna biblioteka VISL CG-3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static VISL CG-3 library.

%description static -l pl.UTF-8
Statyczna biblioteka VISL CG-3.

%prep
%setup -q

%{__sed} -i -e 's#DESTINATION lib/pkgconfig#DESTINATION %{_lib}/pkgconfig#g' CMakeLists.txt
%{__sed} -i -e 's#DESTINATION lib#DESTINATION %{_lib}#g' src/CMakeLists.txt

%build
# it expectls only relative CMAKE_INSTALL_LIBDIR
%cmake . \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DOPT_TCMALLOC=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# "improved" cmake scripts don't install it
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install src/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/cg-comp
%attr(755,root,root) %{_bindir}/cg-conv
%attr(755,root,root) %{_bindir}/cg-proc
%attr(755,root,root) %{_bindir}/cg3-autobin.pl
%attr(755,root,root) %{_bindir}/vislcg3
%attr(755,root,root) %{_libdir}/libcg3.so
%{_mandir}/man1/cg-comp.1*
%{_mandir}/man1/cg-proc.1*
%{_mandir}/man1/vislcg3.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/cg3.h
%{_pkgconfigdir}/cg3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcg3.a
%changelog
* Mon Jun 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vislcg3.git;a=log;h=master

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 3b1f990
- icu rebuild
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b46428
- release 2 (by relup.sh)

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> bc4b958
- updated to 0.9.8.9708

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7eb2e7b
- release 2 (by relup.sh)

* Mon Jun 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 40c86de
- updated to 0.9.8.9063

* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> de5f74d
- updated to 0.9.8.8406

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> adc3841
- updated to 0.9.7.7823

* Sat Oct 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 61dbc74
- don't catch tcmalloc if google-perftools are installed
- release 5

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> de8d494
- rel 4; fix build on lib64

* Fri Oct 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f27422
- release 3

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ab3c56
- release 2

* Thu Aug 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 73625fe
- updated to 0.9.7.7397
- upstream has switched to cmake
- removed obsolete opt patch

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e9ef90
- updated to 0.9.7.7000

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> b319415
- BR: pkgconfig

* Sun Nov 28 2010 Jakub Bogusz <qboosh@pld-linux.org> be300ad
- new package
- opt patch to avoid unwanted optimize options

